package de.intevation.gnv.utils;

import java.io.Serializable;

/**
 * @param <A>
 * @param <B>
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public final class Pair<A, B>
implements         Serializable
{
    private A a;
    private B b;

    private Pair() {
    }

    public Pair(A a, B b) {
        this.a = a;
        this.b = b;
    }

    public A getA() {
        return a;
    }

    public B getB() {
        return b;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
